package stones;
import java.awt.Color;
import java.awt.Graphics;
import java.io.*;

import GUIPack.*;

/**
 * this is the basis class of all 7 different stone-classes which are named like: I,S,Z,O,T,L,J. it contains several methodes which are all the same for all different stones, and defines several abstract methodes, which are differently implementet in the concrete stone-objects..
 *
 *@author Winkler
 */
public abstract class S_Block implements Serializable
{
	public String name;
	public Color colour; 
	public int col;
	//public TetPanel tetrisPanel;
	
	//private static final long serialVersionUID = 13L;

	/*
	 * default constructor only sets the name-variable to "Stone"
	 *
	 * @return nothing
	*/ 
	/*
	public S_Block(Color colouro, String nameo, int colo)
	{
		name = nameo;
		colour = colouro;
		col = colo;
	}
	*/
	
	public abstract String getName();

	public abstract String toString();
	
	public void setColor(Color co, String cstr,  int c){}

	public void paintBlock(Graphics voodoo, int i, int j){}
	
	public void paintBlockNextStone(Graphics voodoo, int i, int j){}

}
